extends Control


func _on_again_pressed():
	.get_tree().paused = false
	Global.game_over = false
	
	Global.color = "red"
	Global.progress = 10
	Global.death = false
	Global.health = 3
	Global.level = 1
	Global.level_progress = 100
	Global.score = 0
	
	$"/root/main".start()
	$"/root/main/UI"._ready()
	$"/root/main/menu/Sound".death()
	$"/root/main/menu/Sound".gear()
	
	queue_free()
	pass
	
